## com.imcode.imcms.mapping
Class DocumentDeletingVisitor

    java.lang.Object
      imcode.server.document.DocumentVisitor
          com.imcode.imcms.mapping.DocumentDeletingVisitor

    public class DocumentDeletingVisitor

extends DocumentVisitor

Constructor Summary
`DocumentDeletingVisitor()`

Method Summary
`void` `visitFileDocument(FileDocumentDomainObject fileDocument)`

Methods inherited from class imcode.server.document.DocumentVisitor
`visitHtmlDocument, visitOtherDocument, visitTextDocument, visitUrlDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDeletingVisitor

    public DocumentDeletingVisitor()

Method Detail

### visitFileDocument

    public void visitFileDocument(FileDocumentDomainObject fileDocument)

  Overrides:
    `visitFileDocument` in class `DocumentVisitor`